<?php


$track = new ffmpeg_movie('files/784525_in_vain_-_captivating_solitude.mp3');

//длительность (с)
echo 'Длительность: ' . $track->getDuration(). '<br />';

//аудио битрейт
echo 'Битрейт: ' . ceil($track->getAudioBitRate() / 1000). '<br />';

//Возвратит поле "авторское право" из аудио или видео файла
echo 'Авторское право: ' . $track->getCopyright(). '<br />';

//Возвратит ID3 поле "Артист" из mp3 файла
echo 'Артист: ' . $track->getArtist(). '<br />';

//Возвратит ID3 поле "Жанр" из mp3 файла
echo 'Жанр: ' . $track->getGenre(). '<br />';

//Возвратит ID3 поле "номер дорожки" из mp3 файла
echo 'Номер дорожки: ' . $track->getTrackNumber(). '<br />';

//Возвратит ID3 поле "Год" из mp3 файла
echo 'Год: ' . $track->getYear(). '<br />';

//Возвратит  название  аудио  кодека  который использован видео файл как строку
echo 'Кодек: ' . $track->getAudioCodec(). '<br />';

//Возвратит  количество  аудио каналов (1 моно 2 стерео и т д) как целое число
echo 'Каналы: ' . $track->getAudioChannels(). '<br />';

function dur($d) {
    if ($d<60) {
        return '00:'.sprintf('%02d',$d);
    }

    $s=$d%60;
    return sprintf('%02d',($d-$s)/60).':'.sprintf('%02d',$s);
}
//пример
echo dur($track->getDuration()); //01:45
?>